Resource Center/Network Resource/L2 Network Operations
POSTL2 Network OperationsSince 0.6SynchronousAuth Required
CreateVniRange
CreateVniRange
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
l2NetworkUuidStringRequiredThe VXLAN pool UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
startVniIntegerRequiredNo description provided.
endVniIntegerRequiredNo description provided.
resourceUuidStringOptional. The resource UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/l2-networks/vxlan-pool/{l2NetworkUuid}/vni-ranges
/zstack/v1/l2-networks/vxlan-pool/{l2NetworkUuid}/vni-ranges
Request Example
curl -X POST 'http://{host}/zstack/v1/l2-networks/vxlan-pool/{l2NetworkUuid}/vni-ranges' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","startVni":1,"endVni":1,"resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "TestVniRange", "description": "Here is a Vni Range", "startVni": 10.0, "endVni": 5000.0, "l2NetworkUuid": "252d938da43a48c98ce93fe7163f14df" } }Change History
This API has no change history records yet.
